Bug 178767 - Web Inspector: preserve Recordings for each Canvas after closing the Canvas tab
Summary: Web Inspector: preserve Recordings for each Canvas after closing the Canvas tab
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 177606
Blocks: WebInspectorCanvasRecording WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-24 18:25 PDT by Devin Rousso
Modified: 2017-12-04 17:40 PST (History)
6 users (show)

See Also:


Attachments
Patch (9.04 KB, patch)
2017-10-24 18:27 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-elcapitan (1.23 MB, application/zip)
2017-10-24 19:26 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-elcapitan (2.03 MB, application/zip)
2017-10-24 19:47 PDT, Build Bot
no flags Details
Patch (9.81 KB, patch)
2017-10-24 21:28 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (11.66 KB, patch)
2017-10-24 23:45 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2017-10-24 18:25:40 PDT
We currently associate a Canvas to a Recording via its `_source`, but not the other way around.  Doing so would allow us to reclaim recordings even after the Canvas tab is closed, as the Recordings are stored in the Model layer, which is not does not rely on the UI.
Comment 1 Devin Rousso 2017-10-24 18:27:40 PDT
Created attachment 324769 [details]
Patch
Comment 2 Build Bot 2017-10-24 19:26:58 PDT
Comment on attachment 324769 [details]
Patch

Attachment 324769 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/4978567

New failing tests:
inspector/canvas/requestContent-webgl2.html
inspector/canvas/resolveCanvasContext-webgl2.html
inspector/canvas/recording-webgl-snapshots.html
inspector/canvas/requestNode.html
inspector/canvas/requestContent-2d.html
inspector/canvas/requestShaderSource.html
inspector/canvas/memory.html
inspector/canvas/setShaderProgramDisabled.html
inspector/canvas/resolveCanvasContext-2d.html
inspector/canvas/recording-2d.html
inspector/canvas/recording-webgl.html
inspector/canvas/resolveCanvasContext-webgpu.html
inspector/css/pseudo-element-matches.html
inspector/canvas/resolveCanvasContext-webgl.html
inspector/canvas/requestContent-webgl.html
inspector/canvas/updateShader.html
inspector/canvas/create-context-webgl.html
Comment 3 Build Bot 2017-10-24 19:26:59 PDT
Created attachment 324779 [details]
Archive of layout-test-results from ews100 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 4 Build Bot 2017-10-24 19:47:49 PDT
Comment on attachment 324769 [details]
Patch

Attachment 324769 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/4978630

New failing tests:
inspector/canvas/requestContent-webgl2.html
inspector/canvas/resolveCanvasContext-webgl2.html
inspector/canvas/recording-webgl-snapshots.html
inspector/canvas/requestNode.html
inspector/canvas/requestContent-2d.html
inspector/canvas/requestShaderSource.html
inspector/canvas/memory.html
inspector/canvas/setShaderProgramDisabled.html
inspector/canvas/resolveCanvasContext-2d.html
inspector/canvas/recording-2d.html
inspector/canvas/recording-webgl.html
inspector/canvas/resolveCanvasContext-webgpu.html
inspector/css/pseudo-element-matches.html
inspector/canvas/resolveCanvasContext-webgl.html
inspector/canvas/requestContent-webgl.html
inspector/canvas/updateShader.html
inspector/canvas/create-context-webgl.html
Comment 5 Build Bot 2017-10-24 19:47:50 PDT
Created attachment 324780 [details]
Archive of layout-test-results from ews112 for mac-elcapitan

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-elcapitan  Platform: Mac OS X 10.11.6
Comment 6 Devin Rousso 2017-10-24 21:28:10 PDT
Created attachment 324793 [details]
Patch
Comment 7 Brian Burg 2017-10-24 22:34:02 PDT
Comment on attachment 324793 [details]
Patch

r=me

v.nice. is there anything we want to test here? It seems too straightforward really...
Comment 8 Radar WebKit Bug Importer 2017-10-24 22:34:49 PDT
<rdar://problem/35167239>
Comment 9 Devin Rousso 2017-10-24 23:45:11 PDT
Created attachment 324798 [details]
Patch

Unreviewed addition: added assertions to existing test utility file that the recording is listed on the related canvas.
Comment 10 WebKit Commit Bot 2017-10-25 00:39:09 PDT
Comment on attachment 324798 [details]
Patch

Clearing flags on attachment: 324798

Committed r223952: <https://trac.webkit.org/changeset/223952>
Comment 11 WebKit Commit Bot 2017-10-25 00:39:10 PDT
All reviewed patches have been landed.  Closing bug.